unix-2.4.2.0: POSIX functionality

Portability | non-portable (requires POSIX)
Stability | provisional
Maintainer | vs@foldr.org

System.Posix.Temp

Description

POSIX environment support

Synopsis

- mkstemp :: String -> IO (FilePath, Handle)

# Documentation

mkstemp :: String -> IO (FilePath, Handle)

`mkstemp` - make a unique filename and open it for reading/writing (only safe on GHC & Hugs). The returned `FilePath` is the (possibly relative) path of the created file, which is padded with 6 random characters.